all: pdf

# Vyroba PDF primo z DVI by byla prijemnejsi, ale vetsina verzi dvipdfm nici obrazky
# clanek.pdf: clanek.dvi
#	dvipdfm -o $@ -p a4 -r 600 $<
#
pdf: clanek.pdf
dvi: clanek.dvi
ps: clanek.ps
show: pdf
	okular clanek.pdf &

clanek.pdf: clanek.ps
	ps2pdf $< $@

clanek.ps: clanek.dvi
	dvips -o $@ -D600 -t a4 $<

# LaTeX je potreba spustit dvakrat, aby spravne spocital odkazy
clanek.dvi: clanek.tex $(wildcard *.tex) clanek.bib Makefile $(wildcard ./img/*.eps) $(wildcard ./*.sty)
	rm -f *bbl
	cslatex $<
	bibtex clanek
	cslatex $<
	cslatex $<
	cslatex $<

clean:
	rm -f *.log *.dvi *.aux *.toc *.lof *.out *.bbl *.blg clanek.ps clanek.pdf
